//
//	Xanthus
//	Copyright (c) 1992, 1993, 1994 Xanthus International AB.  
//	All rights reserved. 
//

#import "DocumentLogger.h"

@implementation DocumentLogger

- documentWasCreated:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

- documentWasOpened:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}


//
//
//

- documentWillSave:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// If the application supports it,
	// returning non-nil should tell app not to save
	
	return nil;
}

- document:aDoc willSaveAs:(char *)path;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// If the application supports it,
	// you can alter 'path' here
	
	// If the application supports it,
	// returning non-nil should tell app not to save
	
	return nil;
}

- document:aDoc willSaveTo:(char *)path;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// If the application supports it,
	// you can alter 'path' here
	
	// If the application supports it,
	// returning non-nil should tell app not to save
	
	return nil;
}

- document:aDoc willPresentSavePanel:(char *)path;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// If the application supports it,
	// you can alter 'path' here
	
	// If the application supports it,
	// returning non-nil should tell app not to present save panel
	// and use 'path' instead
	
	return nil;
}


//
//
//

- documentDidSave:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

- document:aDoc didSaveAs:(const char *)apath;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

- document:aDoc didSaveTo:(const char *)apath;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

//
//
//

- documentIsEdited:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

//
//
//

- documentWillPrint:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// If the application supports it,
	// returning non-nil should tell document not to print
	
	return nil;
}

- documentDidPrint:aDoc;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	return nil;
}

- document: aDoc didPrintPage:(int)pageIndex;
{
	NXLogError("OAE <%s>: %s:", [self name], sel_getName(_cmd));
	
	// Here you can add any postscript to the current page
	// being printed
	
	return nil;
}

@end

