//
//	Xanthus
//	Copyright (c) 1992, 1993, 1994 Xanthus International AB.  
//	All rights reserved. 
//

#import "DocumentSaveDemo.h"


@implementation DocumentSaveDemo

- document:aDoc willPresentSavePanel:(char *)path;
{
	char buf[2048];
	const char *extension = "xow";
	
	if([aDoc respondsTo: @selector(fileExtension)])
		extension = (const char *)[aDoc fileExtension];
	
	NXRunAlertPanel("OAE Demo",
	
		"The demo oae %s is installed.\n"
		"This extension disables the Save Panel and"
		" saves automatically to a temp file!",
		
		"OK",
		NULL,
		NULL,
		
		[self name]);
		
	sprintf(buf, "/tmp/DocumentSaveDemo_XXXXXX.%s", extension);
	NXGetTempFilename(buf, 22);
	
	strcpy(path, buf);
	
	return self;
}

@end

