//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_Point (Archiving)

- write: (NXTypedStream *)s;
{
	[super write:s];		// write class information
	
	NXWriteType(s, "f", &theX);	// write the X coordinate
	NXWriteType(s, "f", &theY);	// write the Y coordinate
	
	return self;
}

- read: (NXTypedStream *)s;
{
	[super read:s];			// read class information
	
	NXReadType(s, "f", &theX);	// read the X coordinate
	NXReadType(s, "f", &theY);	// read the Y coordinate
	
	return self;
}

@end


