//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_Point (Drawing)

//
// Part 3: adding drawing
//

- initializePath;			
{
    // initialize a new PostScript path
	
	PSmoveto(theX, theY);
	
	return self;
}

- addLineSegment;			
{
    // add a segment to the current PostScript path
	
	PSlineto(theX, theY);
	return self;
}

//
// Adding selections
//

- drawAsSelectedInView:aView;	
{
	NXRect aRect;
	
    // Construct a rectangle around the point and 
    // use NEXTSTEPs built in
    // functions to fill the rectangle first 
    // with gray and then to 
    // draw a frame around the rectangle
	
	NX_X(&aRect) = theX - 3;
	NX_Y(&aRect) = theY - 3;
	NX_WIDTH(&aRect) = 6;
	NX_HEIGHT(&aRect) = 6;
	
    //  Fill rect with light gray
    
    	PSsetgray(NX_LTGRAY);
	NXRectFill(&aRect);
	
    //  Frame rect with a small black border
    
    	PSsetgray(NX_BLACK);
	NXFrameRect(&aRect);
	
	return self;
}

@end


