//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_Point (Selections)

- (int)isNearPoint: (const NXPoint *)mousePoint;
{
	NXRect hitRect;
	
    // return YES if the point is close mousePoint
	 
    // Construct a rectangle around the point and use a NEXTSTEPs built
    // in function to determing if the point is within the rectangle
	
	NX_X(&hitRect) = theX - 3;
	NX_Y(&hitRect) = theY - 3;
	NX_WIDTH(&hitRect) = 6;
	NX_HEIGHT(&hitRect) = 6;
	
	return NXMouseInRect(mousePoint, &hitRect, YES);
}

@end


