//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//


#import "app.h"

@implementation Cosmo_Polyline

- calculateBoundingBox: (NXRect *)aRect;
{
	int i, size;
	float minX = 100000, maxX = -100000;
	float minY = 100000, maxY = -100000;
	id aPoint;
	
    // Calculate the bounding box of the polyline
    
    // Get the number of points
    
    	size = [self count];
	
    // calc the min and max coordinates
    
    	for(i=0; i<size; i++) {

		aPoint = [self objectAt: i];
		
		minX = MIN([aPoint theX], minX);
		maxX = MAX([aPoint theX], maxX);
		
		minY = MIN([aPoint theY], minY);
		maxY = MAX([aPoint theY], maxY);

	}
    
    // Return the bounding box in aRect
    
    	NX_X(aRect) = minX;
    	NX_Y(aRect) = minY;
	
    	NX_WIDTH(aRect) = maxX - minX;
    	NX_HEIGHT(aRect) = maxY - minY;
	
    	return self;
}

@end


