//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_Polyline (Selections)

- findPolylineAtPoint: (NXPoint *)mousePoint;
{
	int i, size;
	id aPoint;
	
    // Loop over the points, each point checks
    // if it is near mousePoint
	
	size = [self count];
	
	for(i=0; i<size; i++) {

		aPoint = [self objectAt: i];
		
		if([aPoint isNearPoint: mousePoint])
			return aPoint;

	}
	
	return nil;
}

@end


