//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//


#import "app.h"


@implementation Cosmo_ScrollView

- theOOEButton;
{
	return theOOEButton;
}

- initFrame: (const NXRect *)rect;
{
	NXRect ooeButtonRect = {0, 0, 16, 16};
	
	[super initFrame:rect];
	
    // Create the OOE button and add it to the subview list
    
	theOOEButton = [[Cosmo_ScrollViewButton 
				allocFromZone:[self zone]] 
			initFrame: &ooeButtonRect];
	[self addSubview: theOOEButton];
	
    // We need both vertical and horizontal scrollers
	
	[self setVertScrollerRequired:YES];
	[self setHorizScrollerRequired:YES];
	
	return self;
}

- tile;
{
	NXRect vScrollRect;
	NXRect ooeButtonRect;
	
    // Let the inherited code tile the scrollers
    
	[super tile];

    // Get position of the vertical scroller
    
    	[vScroller getFrame:&vScrollRect];

    // Get size of the OOE button
    
 	[theOOEButton getFrame: &ooeButtonRect];
	
    // Position the OOE button
    
	NX_X(&ooeButtonRect) = NX_X(&vScrollRect)+1;
	NX_Y(&ooeButtonRect) = NX_Y(&vScrollRect);

	[theOOEButton setFrame:&ooeButtonRect];

    // Change the height of the vertical scroller
    
	NX_HEIGHT(&vScrollRect) = NX_HEIGHT(&vScrollRect) - 
					(NX_HEIGHT(&ooeButtonRect));
	NX_Y(&vScrollRect) = NX_MAXY(&ooeButtonRect);
	[vScroller setFrame:&vScrollRect];
	
	return self;
}

@end


