//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_View (Selections)

- findPolylineAtPoint: (NXPoint *)mousePoint;
{
	int i, size;
	id polylines;
	id aPolyline;
	
    // Get the list of polylines from the document
    
	polylines = [theDocument thePolylines];

	size = [polylines count];
	
    // Loop over the polylines, each polyline checks
    // if it has a point near mousePoint
	
	for(i=0; i<size; i++) {

		aPolyline = [polylines objectAt: i];
		
		if([aPolyline findPolylineAtPoint: mousePoint] != nil)
			return aPolyline;

	}
	
	return nil;
}


@end


