//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"

void main(int argc, char *argv[]) 
{
	id r;
	
    // The main routine is executed when 
    // application executable is launched.

    // Create the single instance we need of
    // the Cosmo_App class
   	
    // The builtin new method of the Application class
    // stores the application object in the global variable NXApp.
    
	[Cosmo_App new];	
	
    // Load the main interface for the application
				
    // Loading the Cosmo.nib interface file creates (loads) a menu for the
    // application
		
	r = [NXApp loadNibSection:"Cosmo.nib" 
			owner:NXApp 
			withNames:NO];
    	
	if(r == nil) {
		NXLogError("ERROR: Could not load interface file Cosmo.nib");
		exit(0);
	}

    // Enter the main event loop: listening for events
	
	[NXApp run];
		
    // The application has stopped
    // free the object and exit the UNIX
    // process
	    
    	[NXApp free];
	
    	exit(0);
}
