



#import "draw.h"

@interface GraphicView (SelectionPrivate)

- createCacheWindow:(Window *)selectioncache;
- selectionCache;
- getBBox:(NXRect *)bbox of:(List *)list extended:(BOOL)extended;
- recacheSelection:(BOOL)updateLinks;
- recacheSelection;
- compositeSelection:(const NXRect *)sbounds from:(int)gstate;
- (int)cacheList:(List *)aList 
	into:(Window *)selectionCache 
	withTransparentBackground:(BOOL)transparentBackground;

- getBBox:(NXRect *)bbox of:(List *)list 
	extended:(BOOL)extended;
- getBBox:(NXRect *)bbox of:(List *)list;

/* Other private methods. */

- cacheGraphic:(Graphic *)graphic;

#ifndef DRAW_FILTER		// OOE 2.0
- resetGUP;
#endif

@end


