//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"

#define OOE_SERVER_NAME	"Cosmo_OOE_Server"

@implementation Cosmo_App (OOE)

- registerAsOOEServer;
{
	id aConnection;
	
    // Create a DO connection object with my OOE server name
    
	aConnection = [NXConnection registerRoot: self
				withName: OOE_SERVER_NAME];
	
    // Start listening for OOE messages from OOE clients
	
	[aConnection runFromAppKit];	 
	
	return self;
}

//
//
//

- OOE_newDocument:client;
{
	id doc;
	
    // Create a new Cosmo document
    
	doc = [self newDocument:nil];
	
    // Let the new document connect to the client 
    
	[doc connectToClient:client];
	
	return doc;
}

- OOE_openDocument:client;
{
	id doc;
	
    // Create a new Cosmo document
    
	doc = [self newDocument:nil];
	
    // Let the document connect to the client 
	
	[doc connectToClient:client];

    // Tell document to read data from pasteboard 
	
	[doc retrieveData:client];

    // Redisplay the window 
	
	[[doc theWindow] display];

	return doc;
}

@end


