//
//	Copyright (c) 1995 Bjorn Backlund.  
//	All rights reserved. 
//

#import "app.h"


@implementation Cosmo_View (Create)

- newPolyline:sender;	
{
	id newPolyline;
	id polylines;
	
    // This message is sent to Cosmo views 
    // when the user has selected the "New Polyline" option.
	
    // Create a new empty polyline object
	
	newPolyline = [[Cosmo_Polyline allocFromZone:[self zone]] 
				init];
	
    // Obtain the list of polylines from the document
	
	polylines = [theDocument thePolylines];
	
    // Add the new polyline to the list
	
	[polylines addObject: newPolyline];
	
    // And very importantly, enter the "create state"
	
	theState = 1;
	
    // Remember that the document has been changed
    
    	[window setDocEdited:1];
	
	return self;
}

@end


