//
//	Xanthus
//	Copyright (c) 1992, 1993, 1994 Bjorn Backlund & Jesper Lundh.  
//	All rights reserved. 
//



#import "DrawDocument.h"
#import "ooe_server.h"

extern int OOE_Is_Debug;
extern int OOE_Drawing;

extern int OOE_Document;	// OOE 2.0

extern int OOE_Version;
extern int OOE_Version_CanOpen;

extern NXAtom OOE_ApplicationPboardType;
extern NXAtom OOE_PboardType;

#define OOE_SERVER_NAME 	"Draw++_OOE_Server"
#define PBOARDTYPE		"Draw++_OOE"
#define OOE_CAN_OPEN_VERSION	49
#define OOE_APP_VERSION		DrawVersion


#ifndef DRAW_FILTER		// OOE 2.0
@interface DrawDocument (OOE_Server) <OOE_DocumentInterface, NXSenderIsInvalid>
#else
@interface DrawDocument (OOE_Server) 
#endif



+ (void)initialize_OOE;	// OOE 2.0

#ifndef DRAW_FILTER		// OOE 2.0
- setTitle_OOE:sender;
- docWillClose_OOE:sender;
- free_OOE;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
- orderClientDocumentFront:sender;	// OOE 2.0
#endif

- clipRect;

- (int)isOOEServer;

#ifndef DRAW_FILTER		// OOE 2.0
- initForNewOOEClient:sender;
- initForOldOOEClient:sender;
#endif

- addAsOOEDocTo:pboard;	
- copyAsOOEDocTo:(NXStream *)stream;				
- copyAsEPSTo:(NXStream *)stream;

#ifndef DRAW_FILTER		// OOE 2.0
- updateOOETarget:sender;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
- OOE_retrieveDocFromPasteboard: (char *)frameString;
- readOOEDocFrom:(NXStream *)stream frame: (char *)frameString;				
+ OOE_newFromPasteboard;
#endif


@end


