#ifndef DRAW_FILTER		// OOE 2.0

#import "draw.h"

#import "GraphicView_C_CoverSheet.h"

@implementation GraphicView (CoverSheet)

/* Cover-Sheet items (see TextGraphic.m). */

- doAddCoverSheetEntry:sender localizable:(BOOL)flag
{
    const char *entry = [[sender selectedCell] altTitle];
    if (!entry || !*entry) entry = [[sender selectedCell] title];
    [self placeGraphic:[[TextGraphic allocFromZone:[self zone]] initFormEntry:entry localizable:flag] at:NULL];
    return self;
}

- addLocalizableCoverSheetEntry:sender
{
    return [self doAddCoverSheetEntry:sender localizable:YES];
}

- addCoverSheetEntry:sender
{
    return [self doAddCoverSheetEntry:sender localizable:NO];
}


@end



#endif
