//
//	Xanthus
//	Copyright (c) 1992-95 Bjorn Backlund.  
//	All rights reserved. 
//

#import "draw.h"

@interface GraphicView (Pasteboard_Copy)

#ifndef DRAW_FILTER		// OOE 2.0
+ convert:(NXTypedStream *)ts 
	to:(const char *)type 
	using:(SEL)writer 
	toPasteboard:(Pasteboard *)pb;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
+ pasteboard:(Pasteboard *)sender 
	provideData:(const char *)type;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
- writePSToStream:(NXStream *)stream;
- writePSToStream:(NXStream *)stream usingList:(List *)aList;
- writeTIFFToStream:(NXStream *)stream;
- writeTIFFToStream:(NXStream *)stream usingList:(List *)aList;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
- copySelectionAsPSToStream:(NXStream *)stream;
- copySelectionAsTIFFToStream:(NXStream *)stream;
- copySelectionToStream:(NXStream *)stream;
#endif

#ifndef DRAW_FILTER		// OOE 2.0
- copyToPasteboard:(Pasteboard *)pboard types:(NXAtom *)types;
- copyToPasteboard:(Pasteboard *)pboard;
#endif

@end


