
//
//	Xanthus
//	Copyright (c) 1992, 1993, Bjorn Backlund & Jesper Lundh.  
//	All rights reserved. 
//

#import <appkit/appkit.h>

#define OOE_LAUNCH_DEFAULT		"OOE_Launch"
#define OOE_PASTEBOARD			"OOE Pasteboard"
#define OOE_BASELINE_PASTEBOARDTYPE	"OOE_Baseline"


//
//

#define OAI_OOE_VERSION			"OOE_Version"
#define OAI_OOE_SERVER			"OOE_Server"
#define OAI_OOE_PASTEBOARD		"OOE_PasteboardType"
#define OAI_OOE_BASELINE_SUPPORT	"OOE_BaselineSupport"


//
//

@protocol OOE_ServerInterface

- OOE_newDocument:client;
- OOE_openDocument:client;

@end





@protocol OOE_DocumentInterface

- (int)OOE_connectToClient:client;

- (int)OOE_isDocEdited;
- (int)OOE_orderDocumentFront:(in id)sender;
- (oneway void)OOE_closeDocument:(in id)sender;
- (int)OOE_sizeTo:(NXCoord in)x:(NXCoord in)y;
- (int)OOE_getSize:(out NXSize *)aSize;

- (int)OOE_provideData:(in id)sender;

- (int)OOE_document: client savedAs:(const char *)path;

@end





@protocol OOE_ClientInterface

- (const char *)OOE_documentPath:sender;

- (int)OOE_orderClientDocumentFront:(in id)sender;

- (int)OOE_documentWillClose:(in id)document;
- (int) OOE_documentWasChanged:(in id)document;

@end
