//
//	Xanthus
//	Copyright (c) 1992, 1993, 1994 Bjorn Backlund & Jesper Lundh.  
//	All rights reserved. 
//



#import "YapDocument.h"
#import "ooe_server.h"

@interface YapDocument (OOE_Server) <OOE_DocumentInterface, NXSenderIsInvalid>

- setTitle_OOE:sender;
- docWillClose_OOE:sender;
- free_OOE;

- clipRect;

- (int)isOOEServer;

- initForNewOOEClient:sender;
- initForOldOOEClient:sender;

- copyAsTIFFTo:(NXStream *)stream;
- copyAsOOEInterfaceInfoTo:(NXStream *)stream;				
- copyAsEPSTo:(NXStream *)stream;

- updateOOETarget:sender;
- orderClientDocumentFront:sender;	// OOE 2

- getBoundingBox: (NXRect *)aRect;

- OOE_retrieveDataFromPasteboard;

- OOE_retrieveInterfaceInfoFromPasteboard;
- readOOEInterfaceInfoFrom:(NXStream *)stream;				

@end


